## org.eclipse.ocl.expressions
Interface OCLExpression<C>

All Superinterfaces:
  ASTNode, EObject, Notifier, TypedElement<C>, Visitable

All Known Subinterfaces:
  AssociationClassCallExp<C,P>, AssociationClassCallExp, AssociationClassCallExp, BooleanLiteralExp<C>, BooleanLiteralExp, BooleanLiteralExp, CallExp<C>, CallExp, CallExp, CollectionLiteralExp<C>, CollectionLiteralExp, CollectionLiteralExp, EnumLiteralExp<C,EL>, EnumLiteralExp, EnumLiteralExp, FeatureCallExp<C>, FeatureCallExp, FeatureCallExp, IfExp<C>, IfExp, IfExp, IntegerLiteralExp<C>, IntegerLiteralExp, IntegerLiteralExp, InvalidLiteralExp<C>, InvalidLiteralExp, InvalidLiteralExp, IterateExp<C,PM>, IterateExp, IterateExp, IteratorExp<C,PM>, IteratorExp, IteratorExp, LetExp<C,PM>, LetExp, LetExp, LiteralExp<C>, LiteralExp, LiteralExp, LoopExp<C,PM>, LoopExp, LoopExp, MessageExp<C,COA,SSA>, MessageExp, MessageExp, NavigationCallExp<C,P>, NavigationCallExp, NavigationCallExp, NullLiteralExp<C>, NullLiteralExp, NullLiteralExp, NumericLiteralExp<C>, NumericLiteralExp, NumericLiteralExp, OCLExpression, OCLExpression, OperationCallExp<C,O>, OperationCallExp, OperationCallExp, PrimitiveLiteralExp<C>, PrimitiveLiteralExp, PrimitiveLiteralExp, PropertyCallExp<C,P>, PropertyCallExp, PropertyCallExp, RealLiteralExp<C>, RealLiteralExp, RealLiteralExp, StateExp<C,S>, StateExp, StateExp, StringLiteralExp<C>, StringLiteralExp, StringLiteralExp, TupleLiteralExp<C,P>, TupleLiteralExp, TupleLiteralExp, TypeExp<C>, TypeExp, TypeExp, UnlimitedNaturalLiteralExp<C>, UnlimitedNaturalLiteralExp, UnlimitedNaturalLiteralExp, UnspecifiedValueExp<C>, UnspecifiedValueExp, UnspecifiedValueExp, VariableExp<C,PM>, VariableExp, VariableExp

All Known Implementing Classes:
  AssociationClassCallExpImpl, AssociationClassCallExpImpl, AssociationClassCallExpImpl, BooleanLiteralExpImpl, BooleanLiteralExpImpl, BooleanLiteralExpImpl, CallExpImpl, CallExpImpl, CallExpImpl, CollectionLiteralExpImpl, CollectionLiteralExpImpl, CollectionLiteralExpImpl, EnumLiteralExpImpl, EnumLiteralExpImpl, EnumLiteralExpImpl, FeatureCallExpImpl, FeatureCallExpImpl, FeatureCallExpImpl, IfExpImpl, IfExpImpl, IfExpImpl, IntegerLiteralExpImpl, IntegerLiteralExpImpl, IntegerLiteralExpImpl, InvalidLiteralExpImpl, InvalidLiteralExpImpl, InvalidLiteralExpImpl, IterateExpImpl, IterateExpImpl, IterateExpImpl, IteratorExpImpl, IteratorExpImpl, IteratorExpImpl, LetExpImpl, LetExpImpl, LetExpImpl, LiteralExpImpl, LiteralExpImpl, LiteralExpImpl, LoopExpImpl, LoopExpImpl, LoopExpImpl, MessageExpImpl, MessageExpImpl, MessageExpImpl, NavigationCallExpImpl, NavigationCallExpImpl, NavigationCallExpImpl, NullLiteralExpImpl, NullLiteralExpImpl, NullLiteralExpImpl, NumericLiteralExpImpl, NumericLiteralExpImpl, NumericLiteralExpImpl, OCLExpressionImpl, OCLExpressionImpl, OCLExpressionImpl, OperationCallExpImpl, OperationCallExpImpl, OperationCallExpImpl, PrimitiveLiteralExpImpl, PrimitiveLiteralExpImpl, PrimitiveLiteralExpImpl, PropertyCallExpImpl, PropertyCallExpImpl, PropertyCallExpImpl, RealLiteralExpImpl, RealLiteralExpImpl, RealLiteralExpImpl, StateExpImpl, StateExpImpl, StateExpImpl, StringLiteralExpImpl, StringLiteralExpImpl, StringLiteralExpImpl, TupleLiteralExpImpl, TupleLiteralExpImpl, TupleLiteralExpImpl, TypeExpImpl, TypeExpImpl, TypeExpImpl, UnlimitedNaturalLiteralExpImpl, UnlimitedNaturalLiteralExpImpl, UnlimitedNaturalLiteralExpImpl, UnspecifiedValueExpImpl, UnspecifiedValueExpImpl, UnspecifiedValueExpImpl, VariableExpImpl, VariableExpImpl, VariableExpImpl

    public interface OCLExpression<C>

extends TypedElement<C>, Visitable, ASTNode

A representation of the model object 'OCL Expression'.

See Also:
  `ExpressionsPackage.getOCLExpression()`

Method Summary

Methods inherited from interface org.eclipse.ocl.utilities.TypedElement
`getName, getType, setName, setType`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.ocl.utilities.Visitable
`accept`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.